var app = {
    initialize: function() {
        this.bindEvents();
    },
    bindEvents: function() {
        document.addEventListener('deviceready', this.onDeviceReady, false);
    },
    onDeviceReady: function() {
        app.receivedEvent('deviceready');
        console.log('deviceready');
    },
    receivedEvent: function(id) {
        if( window.plugins && window.plugins.NativeAudio ) {
            var items = ['no1', 'no2', 'no3', 'no4', 'ok1', 'ok2', 'ok3', 'ok4', 'ok5', 'ok6'];
            for(var i=0; i<items.length; i++) {
                var asset = 'assets/' + items[i] + '.mp3';
                window.plugins.NativeAudio.preloadSimple(items[i], 
                                                         asset, 
                                                         function(msg){console.info(msg)}, 
                                                         function(msg){ console.error( 'Error: ' + msg ); });
            }
        }
    },
    play: function(drum) {
        document.getElementById(drum).classList.add('touched');
        window.plugins.NativeAudio.play(drum, 
                                        function(msg){console.info(msg), document.getElementById(drum).classList.remove('touched');},
                                        function(msg){ console.error( 'Error: ' + msg ); });
    }
};
function guidemeon(){
	myhelp.style.width="9%";
	switch(pane) {
		case 1:
			a3.style.background="gold";
			break;
		case 2:
			b4.style.background="gold";
			break;
		case 3:
			c1.style.background="gold";
			break;
		case 4:
			d6.style.background="gold";
			break;
		case 5:
			e5.style.background="gold";
			break;
		case 6:
			f1.style.background="gold";
			break;
		case 7:
			g3.style.background="gold";
			break;
		case 8:
			h5.style.background="gold";
			break;
		case 9:
			i4.style.background="gold";
			break;
		case 10:
			j2.style.background="gold";
			break;
		case 11:
			k4.style.background="gold";
			break;
		case 12:
			l2.style.background="gold";
			break;
		case 13:
			m1.style.background="gold";
			break;
		case 14:
			n3.style.background="gold";
			break;
		case 15:
			o1.style.background="gold";
			break;
		case 16:
			p3.style.background="gold";
			break;
		case 17:
			q2.style.background="gold";
			break;
		case 18:
			r1.style.background="gold";
			break;
		case 19:
			s6.style.background="gold";
			break;
		case 20:
			t5.style.background="gold";
			break;
		case 21:
			u1.style.background="gold";
			break;
		case 22:
			v3.style.background="gold";
			break;
		case 23:
			w4.style.background="gold";
			break;
		case 24:
			x4.style.background="gold";
			break;	
		case 25:
			y3.style.background="gold";
			break;
		case 26:
			z2.style.background="gold";
			break;
		case 27:
			aa1.style.background="gold";
			break;
		case 28:
			ab3.style.background="gold";
			break;
		case 29:
			ac1.style.background="gold";
			break;	
		case 30:
			ad2.style.background="gold";
			break;
		case 31:
			ae4.style.background="gold";
			break;
		case 32:
			af1.style.background="gold";
			break;
		case 33:
			ag1.style.background="gold";
			break;
		case 34:
			ah3.style.background="gold";
			break;
		case 35:
			ai4.style.background="gold";
			break;
		case 36:
			aj1.style.background="gold";
			break;
		case 37:
			ak6.style.background="gold";
			break;
		case 38:
			al1.style.background="gold";
			break;
		case 39:
			am3.style.background="gold";
			break;	
		case 40:
			an6.style.background="gold";
			break;
		case 41:
			ao6.style.background="gold";
			break;
		case 42:
			ap2.style.background="gold";
			break;
		case 43:
			aq4.style.background="gold";
			break;
		case 44:
			ar2.style.background="gold";
			break;
		case 45:
			as1.style.background="gold";
			break;
		case 46:
			at3.style.background="gold";
			break;
		case 47:
			au1.style.background="gold";
			break;
		case 48:
			av3.style.background="gold";
			break;
		case 49:
			aw2.style.background="gold";
			break;	
		case 50:
			ax1.style.background="gold";
			break;
		case 51:
			ay4.style.background="gold";
			break;
		case 52:
			az3.style.background="gold";
			break;
		case 53:
			ba1.style.background="gold";
			break;
		case 54:
			bb3.style.background="gold";
			break;
		case 55:
			bc1.style.background="gold";
			break;
		case 56:
			bd4.style.background="gold";
			break;
		case 57:
			be3.style.background="gold";
			break;
		case 58:
			bf4.style.background="gold";
			break;
		case 59:
			bg2.style.background="gold";
			break;	
		case 60:
			bh6.style.background="gold";
			break;
		case 61:
			bi5.style.background="gold";
			break;
		case 62:
			bj1.style.background="gold";
			break;
		case 63:
			bk6.style.background="gold";
			break;
		case 64:
			bl5.style.background="gold";
			break;
		case 65:
			bm2.style.background="gold";
			break;
		case 66:
			bn3.style.background="gold";
			break;
		case 67:
			bo6.style.background="gold";
			break;
		case 68:
			bp2.style.background="gold";
			break;
	}
}

function guidemeoff(){
myhelp.style.width="8%";
app.touchEnd(event);
}

function wrong1(){
app.play('no1');
wrongans++;
document.getElementById('wrongans').innerHTML = wrongans;
}
function wrong2(){
app.play('no2');
wrongans++;
document.getElementById('wrongans').innerHTML = wrongans;
}
function wrong3(){
app.play('no3');
wrongans++;
document.getElementById('wrongans').innerHTML = wrongans;
}
function wrong4(){
app.play('no4');
wrongans++;
document.getElementById('wrongans').innerHTML = wrongans;
}


function correct(){
correctans++;
document.getElementById('correctans').innerHTML = correctans;

	switch(pane) {
		case 1:
			mainimg.src="img/_a.webp";
			break;
		case 2:
            mainimg.src="img/_b.webp";
			break;
		case 3:
			mainimg.src="img/_c.webp";
			break;
		case 4:
			mainimg.src="img/_d.webp";
			break;
		case 5:
			mainimg.src="img/_e.webp";
			break;
		case 6:
			mainimg.src="img/_f.webp";
			break;
		case 7:
			mainimg.src="img/_g.webp";
			break;
		case 8:
			mainimg.src="img/_h.webp";
			break;
		case 9:
			mainimg.src="img/_i.webp";
			break;
		case 10:
			mainimg.src="img/_j.webp";
			break;
		case 11:
			mainimg.src="img/_k.webp";
			break;
		case 12:
			mainimg.src="img/_l.webp";
			break;
		case 13:
			mainimg.src="img/_m.webp";
			break;
		case 14:
			mainimg.src="img/_n.webp";
			break;
		case 15:
			mainimg.src="img/_o.webp";
			break;
		case 16:
			mainimg.src="img/_p.webp";
			break;
		case 17:
			mainimg.src="img/_q.webp";
			break;
		case 18:
			mainimg.src="img/_r.webp";
			break;
		case 19:
			mainimg.src="img/_s.webp";
			break;
		case 20:
			mainimg.src="img/_t.webp";
			break;
		case 21:
			mainimg.src="img/_u.webp";
			break;
		case 22:
			mainimg.src="img/_v.webp";
			break;
		case 23:
			mainimg.src="img/_w.webp";
			break;
		case 24:
			mainimg.src="img/_x.webp";
			break;	
		case 25:
			mainimg.src="img/_y.webp";
			break;
		case 26:
			mainimg.src="img/_z.webp";
			break;
		case 27:
			mainimg.src="img/_aa.webp";
			break;
		case 28:
			mainimg.src="img/_ab.webp";
			break;
		case 29:
			mainimg.src="img/_ac.webp";
			break;	
		case 30:
			mainimg.src="img/_ad.webp";
			break;
		case 31:
			mainimg.src="img/_ae.webp";
			break;
		case 32:
			mainimg.src="img/_af.webp";
			break;
		case 33:
			mainimg.src="img/_ag.webp";
			break;
		case 34:
			mainimg.src="img/_ah.webp";
			break;	
		case 35:
			mainimg.src="img/_ai.webp";
			break;
		case 36:
			mainimg.src="img/_aj.webp";
			break;
		case 37:
			mainimg.src="img/_ak.webp";
			break;
		case 38:
			mainimg.src="img/_al.webp";
			break;
		case 39:
			mainimg.src="img/_am.webp";
			break;	
		case 40:
			mainimg.src="img/_an.webp";
			break;
		case 41:
			mainimg.src="img/_ao.webp";
			break;
		case 42:
			mainimg.src="img/_ap.webp";
			break;
		case 43:
			mainimg.src="img/_aq.webp";
			break;
		case 44:
			mainimg.src="img/_ar.webp";
			break;	
		case 45:
			mainimg.src="img/_as.webp";
			break;
		case 46:
			mainimg.src="img/_at.webp";
			break;
		case 47:
			mainimg.src="img/_au.webp";
			break;
		case 48:
			mainimg.src="img/_av.webp";
			break;
		case 49:
			mainimg.src="img/_aw.webp";
			break;	
		case 50:
			mainimg.src="img/_ax.webp";
			break;
		case 51:
			mainimg.src="img/_ay.webp";
			break;
		case 52:
			mainimg.src="img/_az.webp";
			break;
		case 53:
			mainimg.src="img/_ba.webp";
			break;
		case 54:
			mainimg.src="img/_bb.webp";
			break;	
		case 55:
			mainimg.src="img/_bc.webp";
			break;
		case 56:
			mainimg.src="img/_bd.webp";
			break;
		case 57:
			mainimg.src="img/_be.webp";
			break;
		case 58:
			mainimg.src="img/_bf.webp";
			break;
		case 59:
			mainimg.src="img/_bg.webp";
			break;	
		case 60:
			mainimg.src="img/_bh.webp";
			break;
		case 61:
			mainimg.src="img/_bi.webp";
			break;
		case 62:
			mainimg.src="img/_bj.webp";
			break;
		case 63:
			mainimg.src="img/_bk.webp";
			break;
		case 64:
			mainimg.src="img/_bl.webp";
			break;	
		case 65:
			mainimg.src="img/_bm.webp";
			break;
		case 66:
			mainimg.src="img/_bn.webp";
			break;
		case 67:
			mainimg.src="img/_bo.webp";
			break;
		case 68:
			mainimg.src="img/_bp.webp";
			break;
		case 69:
			mainimg.style.display="none";
			mainimg2.style.display="block";
			break;			
	}
}